Skip to main content

Bear Markets

bear-markets

Chart: Bear Markets

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1pricestringPrice (USD)
2market_statusstringMarket status ('Bear' or 'Bull')
3is_extreme_high_flagstringIs extreme high flag (1 or 0)
4drawdown_low_datesstringDrawdown low dates (all periods)
5drawdown_low_pricesstringDrawdown low prices (all periods)

Example Request

https://charts.bitbo.io/api/v1/bear-markets/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/bear-markets/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/bear-markets/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-05-07",
"12.34",
"12.34",
"12.34",
"2025-05-07",
"12.34"
],
[
"2025-05-08",
"23.45",
"23.45",
"23.45",
"2025-05-08",
"23.45"
],
[
"2025-05-09",
"34.56",
"34.56",
"34.56",
"2025-05-09",
"34.56"
]
]
}